=== debian/control ===
Source: csb
Section: user/games
Priority: extra
Maintainer: trompkins <maciej.stankiewicz@gmail.com>
Build-Depends: debhelper (>= 5), cmake, libatk1.0-dev, libcairo2-dev, libfreetype6-dev, libglib2.0-dev, libgtk2.0-dev, libpango1.0-dev, libsdl1.2-dev, libsdl-mixer1.2-dev
Standards-Version: 3.7.2

Package: csb
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, csb-data
Description: Chaos Strikes Back for N900
 This program is a very exact translation of the original Atari ST program, "Chaos Strikes Back"
