## csb 11.059-2

=== debian/changelog ===
csb (11.059-2) unstable; urgency=low

  * cosmetic fixes

 -- trompkins <maciej.stankiewicz@gmail.com>  Fri, 19 Aug 2011 22:10:29 +0100
